import { request, request1 } from "@/utils/request.js";

// 获取流水
export function getFinanceCount(data) {
    return request(`/finance/getFinanceCount`, data, "POST");
  }

  //  更新店铺信息
  export function updateShopInfo(data) {
    return request(`/shop/update`, data, "POST");
  }

  //  获取店铺收款码
  export function getShopQrcode(data) {
    return request(`/paymentCode/generateCode`, data, "POST");
  }

  // 修改密码
  export function updatePassword(data) {
    return request(`/business/updatePassword`, data, "POST");
  }

  // 获取我的账户信息
  export function getMyAccount(data){
    return request(`/index/shopAccount`, data, "POST");
  }

  // 获取会员列表 
  export function getBuyerList(data){
    return request(`/index/buyerList`, data, "POST");
  }


  /* 代金券模块~~~~~~~~~~~~~~~~~~~~~~~~ */


  // 搜索转增人物
  export function getBandUserInfoApi(params){
    return request(`/buyerVoucherEntryRecord/getBandUse`, params, "GET");
  }

  //  转增
  export function bandUserInfoApi(data){
    return request(`/shopVoucherEntryRecord/transferVoucher`, data, "POST");
  }


  // 代金券充值 提交订单
  export function voucherOrderApi(data){
    return request(`/shopVoucherEntryRecord/submitVoucher`, data, "POST");
  }